import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {
    FizzBuzz fb = new FizzBuzz();

    @Test
    public void testFizzBuzz_3(){
        String actual = fb.fizzBuzz(3);
        String expected = "Fizz";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFizzBuzz_5(){
        String actual = fb.fizzBuzz(5);
        String expected = "Buzz";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFizzBuzz_15(){
        String actual = fb.fizzBuzz(15);
        String expected = "FizzBuzz";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void  testFizzBuzz_else1(){
        String actual = fb.fizzBuzz(2);
        String expected = "2";

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFizzBuzz_else2(){
        String actual = fb.fizzBuzz(29);
        String expected = "29";

        Assert.assertEquals(expected, actual);
    }
}
